import {
    sampleRouter
} from './sample.route';

import {
    TLeftMenuController
} from './components/leftMenu/t.leftMenu.controller';

import {
    TSideNavController
} from './components/sideNav/t.sideNav.controller';

import {
    TWizardController
} from './components/wizard/t.wizard.controller';

import {
    TCounterController
} from './components/counter/t.counter.controller';

import {
    TButtonController
} from './components/button/t.button.controller';

import {
    TInputController
} from './components/input/t.input.controller';

import {
    TTabGroupController
} from './components/tab-group/t.tab-group.controller';

angular.module('samples', ['ngAnimate', 'toastr'])
    .controller('TLeftMenuController', TLeftMenuController)
    .controller('TSideNavController', TSideNavController)
    .controller('TWizardController', TWizardController)
    .controller('TCounterController', TCounterController)
    .controller('TButtonController', TButtonController)
    .controller('TInputController', TInputController)
    .controller('TTabGroupController', TTabGroupController)
    .config(sampleRouter);